### Class

# FwupdPlugin DeviceLocker

#### Description [src]

    final class FwupdPlugin.DeviceLocker : GObject.Object
    {
      /* No available fields */
    }

Easily close a shared resource (such as a device) when an object goes out of scope.

See also: `FuDevice`.

#### Ancestors

- GObject

#### Constructors

###### fu_device_locker_new

Opens the device for use. When the `FuDeviceLocker` is deallocated the device will be closed and any error will just be directed to the console. This object is typically called using `g_autoptr()` but the device can also be manually closed using g_clear_object().

since: 1.0.0

###### fu_device_locker_new_full

Opens the device for use. When the `FuDeviceLocker` is deallocated the device will be closed and any error will just be directed to the console. This object is typically called using `g_autoptr()` but the device can also be manually closed using g_clear_object().

since: 1.0.0

#### Instance methods

###### fu_device_locker_close

Closes the locker before it gets cleaned up.

since: 1.4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginDeviceLockerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.